#!/bin/sh

mypath=${0%/*}

if [ ! -d /ezxlocal/samba ]
then
	cp -a ${mypath}/samba /ezxlocal/
fi

showRadio "Motomagx Samba" "-- by ilove3d" "запустить" "остановить" "добавить в авторан" "удалить из авторана" "uninstall"

case $? in
	1)
		if [ "`pidof smbd`" = "" ]
		then
			$mypath/smbd -D
		fi
		
		if [ "`pidof smbd`" != "" ]
		then
			showQ "" "samba запущена." 2
		else
			showQ "" "ошибка запуска samba!" 2
		fi
	;;

	2)
		kill `pidof smbd`
		if [ "`pidof smbd`" = "" ]
		then
			showQ "" "samba остановлена." 2
		else
			showQ "" "ошибка остановки samba!" 2
		fi
	;;

	3)
		echo '#!/bin/sh' > /ezxlocal/download/mystuff/unKnown/S80Samba
		echo "export LD_LIBRARY_PATH=$mypath" >> /ezxlocal/download/mystuff/unKnown/S80Samba
		echo "$mypath/smbd -D" >> /ezxlocal/download/mystuff/unKnown/S80Samba
		showQ "" "авторан добавлен!" 2
	;;

	4)
		rm -f /ezxlocal/download/mystuff/unKnown/S80Samba
		showQ "" "авторан удален!" 2
	;;

	5)
		rm -f /ezxlocal/download/mystuff/unKnown/S80Samba
		kill `pidof smbd`
		rm -rf /ezxlocal/samba
		showQ "" "Motomagx samba удалена, теперь вы можете спокойно удалить этот mgx пакет" 2
	;;

	*)
	;;
esac
